<?php
if (!defined('_ECRIRE_INC_VERSION')) return;


/**
 * Un simple formulaire de config,
 * on a juste à déclarer les saisies
 **/
function formulaires_configurer_pdform_saisies_dist(){
	# $saisies est un tableau décrivant les saisies à afficher dans le formulaire de configuration

	$saisies = array(
		// indiquer les objets que l'on peut appeler
		array( 
			'saisie' => 'choisir_objets',
			'options' => array(
				'nom' => 'tables_nourricieres',
				'label' => _T('pdform:cfg_tables_objets_label'),
				'explication' => _T('pdform:cfg_tables_objets_explication'),
				'exclus' => array(
					'spip_pdform_patrons','spip_pdform_cellules'
				),
			),
		),
		// indiquer si l'on veut le formulaire générique sur le contenu d'un patron
		array(
			'saisie' => 'case',
			'options' => array(
				'nom' => 'formulaire_sur_patron',
				'label_case' => '<:pdform:cfg_formulaire_sur_patron_label:>',
				'conteneur_class' => 'pleine_largeur'
			)
		)
	);
	return $saisies;
}
